Installer deluge 0.5 på nyere Linux Systemer

gg

Lige siden deluge gik fra 0.5.x til 0.7.x har jeg ikke kunne benytte nyere versioner af programmet. Uanset hvor mange versioner der er udkommet siden, har et enkelt problem fulgt efter fra version til version. Hver eneste gang jeg prøver at sætte mere end EN download til ad gangen, køre programmet hele mit net ned, blot google kan tage op til 10min om at loade. Jeg har en 10Mbit linie, og det er ligemeget om hver download henter med 0.1kb/s eller med 100kb/s. Resultatet er det samme.

Efter lidt søgninger på google, fandt jeg ud af at jeg er langt fra den eneste med dette problem. Dog er deluge ikke det eneste program der giver mig dette problem. Har prøvet andre programmer som k-torrent og transmission, og jeg oplever det samme. Jeg har forsøgt at begrænse programmerne med strikse port regler, UpNP mm. slået fra i både programmerne og i routeren osv. men intet har virket. Det eneste der altid har løst mit problem, er at installere deluge version 0.5.x.

Desværre har dette ikke været muligt på systemer der indeholder alt det nye fra de sidste par måneder. Det vil sige arch linux, *buntu 9.10 osv. Den laver en compiler fejl: error: sscanf is not declared in the scope.

Jeg troede min tid med deluge 0.5 var slut, eftersom jeg ikke kunne finde nogen måder at rette det på, og folk på diverse forums mente at programmet var blevet for gammelt til at kunne køre sammen med nyere linux pakker.

Men der er en løsning:
Gå ind i compiler biblioteket, og åben filen ./libtorrent/src/identify_client.cpp. Her tilføjes linien: #include <stdio.h>

Dette retter dog kun en ud af to fejl. Dette vil stadig give en fejl: m_signal was not declared in this scope. Så åben filen ./libtorrent/include/libtorrent/disk_io_thread.hpp og tilføj linien: #include <boost/thread/condition.hpp>

Herefter kan programmet compile færdigt:

make
sudo make install && python setup.py install

BÅDE make install og python setup.py install skal køres, ellers vil programmet ikke fungere.

Håber dette hjælper andre med samme problem.

serverin
Antal: 117
Tilmeldt:
27-02-2007
User is offline
Re: Installer deluge 0.5 på nyere Linux Systemer

jeg har oplevet det samme bortset det var på windows...
altså at et torrent program tager alt mit net udenset hvad kb/pr sec de kører med..


arnbak
Antal: 91
Tilmeldt:
06-12-2002
User is offline
Re: Installer deluge 0.5 på nyere Linux Systemer

Som regel er problemet med torrent trafik, ikke hastigheden, men antallet af tcp forbindelser der oprettes og forsøges oprettet; når man oplever problemer. Uden at vide det og ha undersøgt det dybere, vil jeg tro, at Deluge 0.5, på en eller anden vis, har haft en begrænsning af tcp forbindelser. I den nye, har man måske lagt den håndtering længere ud på bruger niveau?

Specielt routere der leveres med de fleste private bredbånds forbindelser er meget dårlige til at håndtere tcp forbindelser over en vis mængde, de frigiver ikke forbindelser o.s.v o.s.v

Så har i prøvet og se på det problem, og begrænse samtidigt oprettede tcp forbindelser ?


*klonk*
Antal: 260
Tilmeldt:
31-01-2004
User is offline
Re: Installer deluge 0.5 på nyere Linux Systemer

Jeg kan bekræfte at det også kan tænkes at det er routeren den er gal med; jeg har på et tidspunkt været tvunget til at køre med en lille billig støvet D-Link router, og den slæbte sig afsted hvis antallet af forbindelser var over 10 (TI!) eller gik slet og ret ned. Møghardware.


Piilen
Piilen's picture
Antal: 228
Tilmeldt:
07-08-2008
User is offline
Re: Installer deluge 0.5 på nyere Linux Systemer

Jeg sætter også antallet af forbindelser ned i Transmission for at holde routeren kørende (Zyxel P-2602)
Ellers går den ned efter et par minutter.


sjofelpanda
sjofelpanda's picture
Antal: 36
Tilmeldt:
13-06-2008
User is offline
Re: Installer deluge 0.5 på nyere Linux Systemer

Jeg oplevede også til stor frustration, at deluge snuppede hele nettet slev ved lav download. Det er stoppet, efter jeg slog UPnP fra i deluge.


Piilen
Piilen's picture
Antal: 228
Tilmeldt:
07-08-2008
User is offline
Re: Installer deluge 0.5 på nyere Linux Systemer

#5, hvis jeg var dig ville jeg hellere slå UPnP fra i routeren, så du ikke får flere huller i din firewall end du tror. Med UPnP kan ALT lave huller.


Piilen
Piilen's picture
Antal: 228
Tilmeldt:
07-08-2008
User is offline
Re: Installer deluge 0.5 på nyere Linux Systemer

#5, hvis jeg var dig ville jeg hellere slå UPnP fra i routeren, så du ikke får flere huller i din firewall end du tror. Med UPnP kan ALT lave huller.


jakob lund
Antal: 15
Tilmeldt:
04-01-2009
User is offline
Re: Installer deluge 0.5 på nyere Linux Systemer

Jeg har kun haft sådanne problemer hvis jeg havde glemt at sætte begrænsning på den _udgående_ trafik (mao. upload hastigheden) i torrent programmet (og dette har jeg oplevet med både ktorrent og med en eller anden kommandolinjeklient jeg ikke kan huske hvad hed).

Er I sikre på at I har indstillet begrænsningen for både up- og download hastigheder (sikkert en røvåndssvag kommentar, for det har I jo garanteret prøvet...)


casperh
Antal: 414
Tilmeldt:
16-08-2007
User is offline
Re: Installer deluge 0.5 på nyere Linux Systemer

Nu har jeg prøvet at gøre det, som du har beskrevet med version 0.5.95 og jeg får stadig fejl, når jeg bruger make.

Lidt af de errors jeg får:
http://pastebin.com/f543fe5f3

Kan godt være, at jeg gør et eller andet fuldstændigt forkert, så du må gerne skære det ud i pap for mig.

PFT
Casper.


dk_zero-cool
dk_zero-cool's picture
Antal: 2529
Tilmeldt:
21-12-2007
User is offline
Re: Installer deluge 0.5 på nyere Linux Systemer

Prøv med deluge-0.5.9.4, det er den jeg brugte.
Men hvilket OS køre du med?
Sørger du for at installere de filer der er beskrevet for at kunne compile den?


casperh
Antal: 414
Tilmeldt:
16-08-2007
User is offline
@10 Nej kan se, at jeg

@10

Nej kan se, at jeg mangler nogle dependencies. Såsom twisted og librsvg osv., men de ligger ikke i Ubuntu repository.


blueeyez
Antal: 218
Tilmeldt:
21-10-2008
User is offline
Re: Installer deluge 0.5 på nyere Linux Systemer

Sjovt nok kan man sætte limit på sin torrent klient, burde du gøre, gør jeg har en 20/2 Mbit forbindelse og når man seeder på linuxtracker.org så skal jeg love dig for de suger meget så har sat til 20/2 max benyttes mit net er dog ikke det hurtigste men stabilt, du skulle prøve det;)

Men nu kommer det jo så os an på hva du ellers har i gang på samme tid;)